Skip to main content
GET
/
api
/
batch
/
{batch_id}
/
status
Get batch status
curl --request GET \
  --url https://api-prod.nomadicml.com/api/batch/{batch_id}/status \
  --header 'Authorization: Bearer <token>'
{
  "batch_id": "<string>",
  "status": "<string>",
  "aggregated_progress": {},
  "videos": [
    {}
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.nomadicml.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Use Authorization: Bearer <NOMADIC_API_KEY>.

Path Parameters

batch_id
string
required

Nomadic batch identifier.

Query Parameters

include_videos
boolean
default:true

Whether to include video pointers.

Response

Successful response.

batch_id
string
status
string
aggregated_progress
object
videos
object[]